## org.eclipse.emf.codegen.jmerge
Class JPatternDictionary

    java.lang.Object
      org.eclipse.emf.codegen.jmerge.JPatternDictionary

Deprecated. in 2.2.0. Use `JPatternDictionary` instead.

    @Deprecated
    public class JPatternDictionary

extends java.lang.Object

A dictionary of signatures and JDOM nodes.

Field Summary
`protected static java.util.regex.Pattern` `comment` Deprecated.
`protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `compilationUnit` Deprecated.
`protected java.util.Map` `fieldMap` Deprecated.
`protected java.util.Map` `importMap` Deprecated.
`protected java.util.Map` `initializerMap` Deprecated.
`protected org.eclipse.jdt.core.jdom.IDOMPackage` `jPackage` Deprecated.
`protected java.util.Map` `markupMap` Deprecated.
`protected java.util.Map` `methodMap` Deprecated.
`protected static java.lang.Object[]` `noArguments` Deprecated.
`protected java.util.Collection` `noImportSet` Deprecated.
`protected JControlModel` `options` Deprecated.
`protected java.util.Map` `typeMap` Deprecated.

Constructor Summary
`JPatternDictionary(org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit, JControlModel options)` Deprecated. This creates an instance.

Method Summary
`protected void` `analyzeCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit)` Deprecated.
`protected void` `analyzeField(org.eclipse.jdt.core.jdom.IDOMField field)` Deprecated.
`protected void` `analyzeImport(org.eclipse.jdt.core.jdom.IDOMImport jImport)` Deprecated.
`protected void` `analyzeInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer initializer)` Deprecated.
`protected void` `analyzeMethod(org.eclipse.jdt.core.jdom.IDOMMethod method)` Deprecated.
`protected void` `analyzePackage(org.eclipse.jdt.core.jdom.IDOMPackage jPackage)` Deprecated.
`protected void` `analyzeType(org.eclipse.jdt.core.jdom.IDOMType type)` Deprecated.
`void` `dump()` Deprecated.
`void` `dumpMarkup()` Deprecated.
`void` `dumpNodeContents(org.eclipse.jdt.core.jdom.IDOMNode node)` Deprecated.
`void` `dumpStringToIDOMNodeMap(java.util.Map map)` Deprecated.
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `getCompilationUnit()` Deprecated.
`java.util.Map` `getFieldMap()` Deprecated.
`java.util.Map` `getImportMap()` Deprecated.
`java.util.Map` `getInitializerMap()` Deprecated.
`java.util.Map` `getMarkupMap()` Deprecated.
`java.util.Map` `getMethodMap()` Deprecated.
`org.eclipse.jdt.core.jdom.IDOMPackage` `getPackage()` Deprecated.
`java.lang.String` `getQualifiedName(org.eclipse.jdt.core.jdom.IDOMNode jdomNode)` Deprecated.
`java.util.Map` `getTypeMap()` Deprecated.
`boolean` `isMarkedUp(java.util.regex.Pattern markupPattern, org.eclipse.jdt.core.jdom.IDOMNode node)` Deprecated.
`boolean` `isNoImport(org.eclipse.jdt.core.jdom.IDOMImport domImport)` Deprecated.
`protected void` `match(org.eclipse.jdt.core.jdom.IDOMNode node)` Deprecated.
`JControlModel` `options()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compilationUnit

    protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit

  Deprecated.

### jPackage

    protected org.eclipse.jdt.core.jdom.IDOMPackage jPackage

  Deprecated.

### options

    protected JControlModel options

  Deprecated.

### importMap

    protected java.util.Map importMap

  Deprecated.

### typeMap

    protected java.util.Map typeMap

  Deprecated.

### initializerMap

    protected java.util.Map initializerMap

  Deprecated.

### fieldMap

    protected java.util.Map fieldMap

  Deprecated.

### methodMap

    protected java.util.Map methodMap

  Deprecated.

### markupMap

    protected java.util.Map markupMap

  Deprecated.

### noImportSet

    protected java.util.Collection noImportSet

  Deprecated.

### comment

    protected static java.util.regex.Pattern comment

  Deprecated.

### noArguments

    protected static java.lang.Object[] noArguments

  Deprecated.

Constructor Detail

### JPatternDictionary

    public JPatternDictionary(org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit,
                              JControlModel options)

  Deprecated.
  This creates an instance.

Method Detail

### analyzeCompilationUnit

    protected void analyzeCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit)

  Deprecated.

### analyzePackage

    protected void analyzePackage(org.eclipse.jdt.core.jdom.IDOMPackage jPackage)

  Deprecated.

### analyzeImport

    protected void analyzeImport(org.eclipse.jdt.core.jdom.IDOMImport jImport)

  Deprecated.

### analyzeType

    protected void analyzeType(org.eclipse.jdt.core.jdom.IDOMType type)

  Deprecated.

### analyzeInitializer

    protected void analyzeInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer initializer)

  Deprecated.

### analyzeField

    protected void analyzeField(org.eclipse.jdt.core.jdom.IDOMField field)

  Deprecated.

### analyzeMethod

    protected void analyzeMethod(org.eclipse.jdt.core.jdom.IDOMMethod method)

  Deprecated.

### getQualifiedName

    public java.lang.String getQualifiedName(org.eclipse.jdt.core.jdom.IDOMNode jdomNode)

  Deprecated.

### dump

    public void dump()

  Deprecated.

### dumpMarkup

    public void dumpMarkup()

  Deprecated.

### dumpNodeContents

    public void dumpNodeContents(org.eclipse.jdt.core.jdom.IDOMNode node)

  Deprecated.

### dumpStringToIDOMNodeMap

    public void dumpStringToIDOMNodeMap(java.util.Map map)

  Deprecated.

### match

    protected void match(org.eclipse.jdt.core.jdom.IDOMNode node)

  Deprecated.

### getCompilationUnit

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit getCompilationUnit()

  Deprecated.

### getPackage

    public org.eclipse.jdt.core.jdom.IDOMPackage getPackage()

  Deprecated.

### options

    public JControlModel options()

  Deprecated.

### getImportMap

    public java.util.Map getImportMap()

  Deprecated.

### getTypeMap

    public java.util.Map getTypeMap()

  Deprecated.

### getInitializerMap

    public java.util.Map getInitializerMap()

  Deprecated.

### getFieldMap

    public java.util.Map getFieldMap()

  Deprecated.

### getMethodMap

    public java.util.Map getMethodMap()

  Deprecated.

### getMarkupMap

    public java.util.Map getMarkupMap()

  Deprecated.

### isMarkedUp

    public boolean isMarkedUp(java.util.regex.Pattern markupPattern,
                              org.eclipse.jdt.core.jdom.IDOMNode node)

  Deprecated.

### isNoImport

    public boolean isNoImport(org.eclipse.jdt.core.jdom.IDOMImport domImport)

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.